0
Fixed

Can't attach debugger to Unity in VS2017

arvidsson 3 years ago updated by Lazlo Bonin (Lead Developer) 3 years ago 4

I'm trying to attach the debugger to Unity in VS2017, but I get the following warning and the debugger is never attached as far as I can see:

Severity Code Description Project File Line Suppression State
Warning The primary reference "Bolt.Flow.Editor" could not be resolved because it has an indirect dependency on the framework assembly "System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" which could not be resolved in the currently targeted framework. ".NETFramework,Version=v3.5,Profile=Unity Subset v3.5". To resolve this problem, either remove the reference "Bolt.Flow.Editor" or retarget your application to a framework version which contains "System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a".

Any advice? I didn't want to remove the reference as I was unsure if that would cause any trouble.


Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Pending Review

I'll look into it, I don't think Bolt requires this reference. Should be an easy fix.

Answered

Removed unused references from all DLL's for the next version.